Last Comment Bug 542947 - errors if mailing list contains mailing list - "sublist <sublist> is not a valid e-mail address because it is not of the form user@host." or "An error occurred while sending mail. The mail server responded: Invalid address syntax.""
: errors if mailing list contains mailing list - "sublist <sublist> is not a va...
Status: NEW
[gs][regression:TB5][patchlove]
: regression
Product: Thunderbird
Classification: Client Software
Component: Address Book (show other bugs)
: Trunk
: All All
: -- normal with 19 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
https://getsatisfaction.com/mozilla_m...
: 460878 500051 535579 540905 541878 577966 593017 596197 633770 677253 (view as bug list)
Depends on:
Blocks: 413230
  Show dependency treegraph
 
Reported: 2010-01-28 20:33 PST by Abhay
Modified: 2015-09-26 22:02 PDT (History)
42 users (show)
dmose: wanted‑thunderbird+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
-


Attachments
This patch should fix the problem with nested lists in tb 3.1 (1.74 KB, patch)
2011-11-17 05:49 PST, PMARTINAK
no flags Details | Diff | Review
patch-v2 (5.47 KB, patch)
2011-12-13 08:28 PST, PMARTINAK
mconley: review-
Details | Diff | Review
patch_542947-1.9.2-v2b (4.56 KB, patch)
2011-12-14 04:31 PST, PMARTINAK
no flags Details | Diff | Review
patch that applies and builds against the trunk (3.09 KB, patch)
2012-02-15 16:35 PST, David :Bienvenu
no flags Details | Diff | Review
screenshot of the addressbook (71.85 KB, image/png)
2014-04-26 07:09 PDT, :aceman
no flags Details
Entire address book (nested mailing lists) (64.81 KB, image/png)
2014-04-26 07:51 PDT, ereeder
no flags Details
jokespg mailing list screenshot (51.46 KB, image/png)
2014-04-26 07:53 PDT, ereeder
no flags Details
jokesg mailing list (57.41 KB, image/png)
2014-04-26 07:54 PDT, ereeder
no flags Details
jokesg Properties (68.09 KB, image/png)
2014-04-26 17:10 PDT, ereeder
no flags Details
RecursiveG Properties (70.61 KB, image/png)
2014-04-26 17:12 PDT, ereeder
no flags Details
jokesg List Properties (70.89 KB, image/png)
2014-04-26 17:28 PDT, ereeder
no flags Details

Description Abhay 2010-01-28 20:33:55 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.7) Gecko/20091221 Firefox/3.5.7
Build Identifier: Version 3.0.1

Hi All,

Tbird now errors out while sending a mail if a mailing list contains another mailing list.
This was not a problem with Tbird 2.x version

Can we fix this one? It might be an easier one to get off

Regards,
Abhay

Reproducible: Always

Steps to Reproduce:
1. Create 2 mailing lists
2. Include the second mailing list in the first mail list
3. Try sending out a mail to the second mailing list
Actual Results:  
It errors out for the included mailing list

Expected Results:  
It should send the mail without any error
Comment 1 Alanrick 2010-01-31 07:23:01 PST
I agree with this. Rephrasing slightly...
1. Create 2 mailing lists; Inner and Outer.
2. Include the Inner mailing list as a recipient in the Outer mail list
3. Try sending out a mail to the Outer mailing list..
==> Error

The is important if you want to use thunderbird for newsletters in, say, charity organizations or clubs - which I do.

In Thunderbird 2 you have an outer list "all" containing the inner lists "members", "officers", "interested parties" and the newsletter goes to all, but committee meetings only go to "officers".
This saves on maintaining multiple lists. E.g. if a member leaves, you just remove them from the "member" list without having to search all other lists.

It is a real shortcoming that Thunderbird 3 no longer supports this.
Comment 2 Sandquist 2010-01-31 11:12:46 PST
I agree. It is a real shortcoming that Tbird 3 no longer supports nested emails.
I have used nested lists for many years now and it proves quite useful. I am the organizer of a sports team and people frequently have more than 1 email address. So I have the 'team' list and potentially lists for each member of the team.

On a 'fix it' note (I may be out to lunch here) the error appears to be related to the way the nested email list is parsed. The parsing process, if there is one,  seems to remove the spaces from the nested list name when validating it (that is the way it appears in the error message popup) and it then results in an unauthenticated email address type error. 

That's my 2 cents
Comment 3 Wayne Mery (:wsmwk, NI for questions) 2010-03-06 17:56:14 PST
*** Bug 541878 has been marked as a duplicate of this bug. ***
Comment 4 Wayne Mery (:wsmwk, NI for questions) 2010-03-06 17:58:27 PST
*** Bug 500051 has been marked as a duplicate of this bug. ***
Comment 5 Wayne Mery (:wsmwk, NI for questions) 2010-03-06 17:58:44 PST
*** Bug 460878 has been marked as a duplicate of this bug. ***
Comment 6 Wayne Mery (:wsmwk, NI for questions) 2010-03-06 17:59:34 PST
*** Bug 535579 has been marked as a duplicate of this bug. ***
Comment 7 Wayne Mery (:wsmwk, NI for questions) 2010-03-06 18:15:20 PST
Apparently this worked under some conditions in v2, and because people are now broken in 3.0 I am flagging this as desirable (wanted) for v3.1. I certainly don't see this as blocking v3.1.  Note also, this area of code is apparently fragile (in fact it's sort of not officially supported per bug 40301), and so it may or may not turn out to be fixable in v3. 

Key to this bug making progress is someone who can reproduce it will need to: 
a) find the problem in debugger, and/or
b) find the regression range for this issue

Quite bluntly I don't see anyone other than you who are cc in this bug doing the legwork of finding the regression range. the good news is that anyone is capable of doing the work. Instructions at http://garykwong.wordpress.com/2009/02/24/howto-find-regression-windows-through-manual-binary-search/  

From the regression range we can find the code checkin that caused the regression, which will **greatly** improve the odds that this bug gets fixed. 

confirming based on multiple reports. I have not attempted to reproduce. nor will I be working on this any further - leaving it to those who can reproduce.

One last point, I didn't see any bug summary state precisely what the error/message is, and "errors" in this bug's summary is not terribly helpful.  It would be great if someone added that precision to this bug's summary.
Comment 8 Wayne Mery (:wsmwk, NI for questions) 2010-03-06 18:23:02 PST
dmose, see comment 7. I have no estimate of the extent of the pain. but there are 4 dupes so far (one which originated at redhat), and 3 people in this bug before duping occurred
Comment 9 Wayne Mery (:wsmwk, NI for questions) 2010-03-06 18:23:52 PST
*** Bug 540905 has been marked as a duplicate of this bug. ***
Comment 10 tkengkrub 2010-03-09 18:46:56 PST
Extension to the issue which I think might be useful for a temporary fix.

1.,2.,3. as described in reproduction steps, plus save a copy in the sent folder.
4. Go to the problematic email in sent folder and edit as new (Ctrl+E)
5. Send the new email.  TB will now handle correctly since all groups are now resolved.
6. Repeat 4&5 until all groups are resolved.

Fixing Idea...
Frankly, I don't know how TB handle email sending, but I believe there should be a module to resolve the email address of recipient somewhere.  In that module, I believe it might be possible to implement an infinite loop until the resolved address looks exactly the same as the previous?
Comment 11 Wayne Mery (:wsmwk, NI for questions) 2010-03-16 04:58:42 PDT
DeWrek in bug 40301 comment 57:
> How can I assist?

Instructions for anyone ...

Regression range finding instructions at
http://garykwong.wordpress.com/2009/02/24/howto-find-regression-windows-through-manual-binary-search/ (but I don't think you need and the builds a fresh profile every time).

It has a link to the nightly builds and many releases. If you need releases older than v2.0.0.22, see ftp://ftp.mozilla.org/pub/thunderbird/releases/ 

If you need help you can ask in one of the IRC channels http://www.mibbit.com/chat/?server=irc.mozilla.org&channel=%23tb-qa,%23maildev
Comment 12 John DeDourek 2010-03-17 11:17:39 PDT
Very annoying regression.  Messed up an immportant outgoing email today.  Wasted an your.
Comment 14 ppww 2010-03-18 12:39:16 PDT
As for the error message, when sending to "toplist", which is an address list that contains another address list "sublist" as one entry, along with other individual addresses, the error message dialog states:

"sublist <sublist> is not a valid e-mail address because
it is not of the form user@host.  You must correct it before sending the
e-mail."
Comment 15 Wayne Mery (:wsmwk, NI for questions) 2010-03-19 04:54:12 PDT
great work ppww!  

bonsai query http://bonsai.mozilla.org/cvsquery.cgi?treeid=default&module=all&branch=HEAD&branchtype=match&dir=mozilla%2Fmailnews%2F&file=&filetype=match&who=&whotype=match&sortby=Date&hours=2&date=explicit&mindate=2008-01-25+02%3A00%3A00&maxdate=2008-01-26+04%3A00%3A00&cvsroot=%2Fcvsroot indicates regression is bug 413230.  note bug 413230 comment 7 and bug 413230 comment 9.

p.s. The fact that nested mailing list works in compose is not proof that "nested" is fully implemented in address book. and bug 40301 details that nested mailing lists has never been fully implemented. so your bug 40301 comment 58 is not sufficient reason to close that bug.
Comment 16 ppww 2010-03-19 11:41:55 PDT
Ah, so the *structure* of the address book is not nested; what is implemented is recursive address list parsing/expansion, which results in more or less the same effect when sending.
Comment 17 DeWrek 2010-03-27 07:46:38 PDT
My apologies for not getting on with the Windows version of Thunderbird regression testing sooner, having offered before.

I confirm that the Windows builds work and fail exactly as in Comment 13 above, (thanks for the pointers, ppww - pity I'd already done some testing before reading your post!!), i.e.
this works:
http://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/2008/01/2008-01-25-03-trunk/thunderbird-3.0a1pre.en-US.win32.installer.exe

but this fails:
http://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/2008/01/2008-01-26-03-trunk/thunderbird-3.0a1pre.en-US.win32.installer.exe

Again, the Windows error message is slightly different from that in Comment 14 - it is "An error occurred while sending mail. The mail server responded: Invalid address syntax. Please check the message recipient sublist2 and try again." The email had been sent to list "toplist" which contained the the list "sublist2". Both were in the Personal Address Book.
Comment 19 Ludovic Hirlimann [:Usul] 2010-03-31 07:37:55 PDT
philor: _Tsk_: for bug 542947 - regression ranges aren't from 00:00:00 to 23:59:59, since nightlies are built around 02:00 or 03:00
[16:35] firebot: philor: Bug https://bugzilla.mozilla.org/show_bug.cgi?id=542947 nor, --, ---, nobody, NEW, Tbird 3.0.1 errors if mailing list contains mailing list - "sublist <sublist> is not a valid e-mail
[16:35] philor: fixing your range will pull in the much more likely bug 413230
[16:35] firebot: philor: Bug https://bugzilla.mozilla.org/show_bug.cgi?id=413230 nor, P3, Thunderbird 3.0a3, bugzilla, RESO FIXED, Improve implementation of nsMsgCompose::CheckAndPopulateRecipients
Comment 20 Merome 2010-06-11 08:16:49 PDT
I have the same problem with list of lists. I use this workaround :

1. Open the Adress book on the master list wich contains lists.
2. Select all recipients of the master list (Ctrl - A)
3. Drag & drop the selection on the compose window

It works if there is only two levels of lists encapsulated.
Comment 21 Michael A. Pasek 2010-08-28 07:12:03 PDT
*** Bug 577966 has been marked as a duplicate of this bug. ***
Comment 22 Joshua Cranmer [:jcranmer] 2010-09-14 13:08:22 PDT
*** Bug 596197 has been marked as a duplicate of this bug. ***
Comment 23 :Hb 2011-02-14 04:18:38 PST
*** Bug 633770 has been marked as a duplicate of this bug. ***
Comment 24 [:Aureliano Buendía] 2011-04-05 11:00:26 PDT
*** Bug 593017 has been marked as a duplicate of this bug. ***
Comment 25 EAJ 2011-05-25 21:56:53 PDT
Workarounds are great, but this is a pain compared to prior versions and I, too, would like to see this restored to prior operation.
Comment 26 Ludovic Hirlimann [:Usul] 2011-10-05 02:34:40 PDT
*** Bug 677253 has been marked as a duplicate of this bug. ***
Comment 27 Loïc Alejandro 2011-10-24 10:03:40 PDT
I would like to nest a mailing list into another one. It is an important feature for me.
Comment 28 PMARTINAK 2011-11-17 05:49:56 PST
Created attachment 575156 [details] [diff] [review]
This patch should fix the problem with nested lists in tb 3.1

Implemented and tested for the 1.9.2 branch
Comment 29 Mike Conley (:mconley) - (Away until June 29th) 2011-11-17 07:02:53 PST
Comment on attachment 575156 [details] [diff] [review]
This patch should fix the problem with nested lists in tb 3.1

Review of attachment 575156 [details] [diff] [review]:
-----------------------------------------------------------------

A quick question on this patch - why have you made "j" signed as opposed to unsigned?
Comment 30 PMARTINAK 2011-11-17 07:38:48 PST
(In reply to Mike Conley (:mconley) from comment #29)
> Comment on attachment 575156 [details] [diff] [review] [diff] [details] [review]
> This patch should fix the problem with nested lists in tb 3.1
> 
> Review of attachment 575156 [details] [diff] [review] [diff] [details] [review]:
> -----------------------------------------------------------------
> 
> A quick question on this patch - why have you made "j" signed as opposed to
> unsigned?

initial value of j is 0 => for (j = 0; j < ...
if the first recipient is a mailing list and aPopulateMailList is true, --j => 0xffffffff(line 4791) if unsigned.
Comment 31 Loïc Alejandro 2011-11-17 08:17:46 PST
Hi,

how can I install this patch ? Or is it better to wait for a new release of TB ?

thx
Comment 32 ereeder 2011-11-17 10:23:25 PST
Man am I happy to see this being worked on!

One comment I recall from *somewhere?* was a potential problem with recursive lists.  One simple example: ListA references ListB and ListB references ListA.  Hopefully the patch addresses these problems.
Comment 33 EAJ 2011-11-17 22:03:11 PST
Two items:
- I am running TB 8.0 - does the same patch apply?
- How is the patch applied? I can't seem to see what file this is in reference to, and what about building the exe?

Tnx
Comment 34 Patrick Chaleat 2011-11-18 01:26:38 PST
Good patch. We need it in TB 3.1
Comment 35 Ludovic Hirlimann [:Usul] 2011-12-08 02:08:30 PST
mike should you review this ?
Comment 36 PMARTINAK 2011-12-13 08:28:29 PST
Created attachment 581285 [details] [diff] [review]
patch-v2

This patch 'v2' prevents from looping when populating mailing lists
For example, if a list contains L1 contains  L2,  and L2 contains L1.

The mailing lists that have been processed are stored in 'msgLists' Array .
The operator '==' is added to the class nsMsgRecipient.
Comment 37 Mike Conley (:mconley) - (Away until June 29th) 2011-12-13 14:07:56 PST
Comment on attachment 581285 [details] [diff] [review]
patch-v2

Review of attachment 581285 [details] [diff] [review]:
-----------------------------------------------------------------

Just a few style nits, if you wouldn't mind fixing those.  Also, can I assume you're still passing the XPCShell tests for compose?

::: mailnews/compose/src/nsMsgCompFields.h
@@ +59,5 @@
>    }
>  
>    ~nsMsgRecipient() {}
> +	
> +	PRBool operator==(const nsMsgRecipient &other) const{

Space between const and {

@@ +60,5 @@
>  
>    ~nsMsgRecipient() {}
> +	
> +	PRBool operator==(const nsMsgRecipient &other) const{
> +		if (!mEmail.IsEmpty() && mEmail.Equals(other.mEmail))return PR_TRUE;

For lines 64 and 65, I think I'd prefer the return statements on a different line, rather than inline.

@@ -61,1 +61,5 @@
> >    ~nsMsgRecipient() {}
> > +	
> > +	PRBool operator==(const nsMsgRecipient &other) const{
> > +		if (!mEmail.IsEmpty() && mEmail.Equals(other.mEmail))return PR_TRUE;
> > +		if (!mAddress.IsEmpty() && mAddress.Equals(other.mAddress))return PR_TRUE;			

The alignment in this whole block seems a bit messed up.  Can you line it up with the code above and below please?

::: mailnews/compose/src/nsMsgCompose.cpp
@@ +5083,1 @@
>              && hasAttribute)  // dir=rtl attributes should not downconvert

Line up the && to be directly beneath NS of NS_SUCCEEDED
Comment 38 PMARTINAK 2011-12-14 04:31:57 PST
Created attachment 581591 [details] [diff] [review]
patch_542947-1.9.2-v2b
Comment 39 Vincent (caméléon) 2012-02-10 02:02:45 PST
Hi gents,

This bug is causing some problem in a French school ( http://www.geckozone.org/forum/viewtopic.php?f=4&t=102608&p=676414#p676391 )... 

If a patch is ready since 2 months, could it be reviewed soon?
Comment 40 David :Bienvenu 2012-02-10 08:23:11 PST
Comment on attachment 581591 [details] [diff] [review]
patch_542947-1.9.2-v2b

thx for the patch; When you submit a patch, you need to ask someone for a code review or the patch tends to languish.  Here's more than you ever wanted to know about code reviews at Mozilla - https://developer.mozilla.org/en/Code_Review_FAQ

Since this patch was submitted, we've stopped using PR_TRUE and PR_FALSE in favor of using true and false so you should refresh this patch against the latest trunk comm-central and mozilla code. 

Is this patch needed on the current Mozilla trunk? We're no longer accepting these kind of patches for the 3.1 code releases since they're very close to end of life.
Comment 41 Vincent (caméléon) 2012-02-10 10:13:39 PST
(In reply to David :Bienvenu from comment #40)
> Is this patch needed on the current Mozilla trunk?

I would answer yes for the one who ask on Geckozone, the 14 who vote for the bug and the 9 who support this idea on GSFN :-;
Comment 42 Loïc Alejandro 2012-02-11 03:37:00 PST
Yes ! In the trunk please :)
I think it is a very useful feature.
Comment 43 ereeder 2012-02-11 07:49:59 PST
Absolutely put it it!  I'm one of many people who are still on TB 2 because this feature is lacking.
Comment 44 David :Bienvenu 2012-02-15 16:35:24 PST
Created attachment 597612 [details] [diff] [review]
patch that applies and builds against the trunk

I tried to fix this patch so that it builds on the trunk - however, it doesn't seem to work. Could someone else try this on the trunk and see if it works for them? Perhaps I haven't set up my lists correctly. I get an error that innerme<innerme is not a valid address. innerme is the inner list.
Comment 45 David :Bienvenu 2012-02-15 16:36:19 PST
Comment on attachment 581591 [details] [diff] [review]
patch_542947-1.9.2-v2b

clearing review request and marking obsolete because we've gotten rid of PR_TRUE and PR_FALSE.
Comment 46 Gregr 2012-02-29 01:39:17 PST
(In reply to David :Bienvenu from comment #44)
> Created attachment 597612 [details] [diff] [review]
> patch that applies and builds against the trunk
> 
> I tried to fix this patch so that it builds on the trunk - however, it
> doesn't seem to work. Could someone else try this on the trunk and see if it
> works for them? 

Tried with
Mozilla/5.0 (Windows NT 5.1; rv:13.0) Gecko/20120228 Thunderbird/13.0a1

It doesn't work for me either
When I insert the 'innerme <innerme>' list in the outerme list two new cards (not list) are created automatically in address book :
Name : innerme
Email address : innerme

Console error shows 2 WARNINGS
> 2012-02-29 10:36:17	gloda.indexer	WARN	Problem during [job:ab-card id:[xpconnect wrapped nsIAbCard] items:0 offset:0 goal:null], bailing.  Problem was at undefined:1978: [Exception... "Cannot modify properties of a WrappedNative"  nsresult: "0x80570034 (NS_ERROR_XPC_CANT_MODIFY_PROP_ON_WN)"  location: "JS frame :: resource:///modules/gloda/gloda.js :: gloda_ns_grokNounItem :: line 1978"  data: no]
> 
> 2012-02-29 10:36:17	gloda.indexer	WARN	Problem during [job:ab-card id:[xpconnect wrapped nsIAbCard] items:0 offset:0 goal:null], bailing.  Problem was at undefined:1978: [Exception... "Cannot modify properties of a WrappedNative"  nsresult: "0x80570034 (NS_ERROR_XPC_CANT_MODIFY_PROP_ON_WN)"  location: "JS frame :: resource:///modules/gloda/gloda.js :: gloda_ns_grokNounItem :: line 1978"  data: no]
Comment 47 Valerio Messina 2012-11-11 15:23:22 PST
as a temp work around, you can create a template mail, with all the inner mail list already in To: fields, and a subject with the outer mail list name.
At sending time, change the subject and fill the body
Comment 48 Valerio Messina 2012-11-12 08:20:31 PST
as TB versions inexplicably moved from 3.0 to 16.0 in a year, the target milestone was 3.1, so I expect now is 16.1, right?
Can the authors, adapt the patches to current trunk?
Comment 49 Valerio Messina 2012-11-30 05:29:51 PST
so I expect now is 17.1, right?
Comment 50 :aceman 2014-04-23 07:07:11 PDT
It seems nsMsgCompose::CheckAndPopulateRecipients is no longer existing after bug 970118.

Jcranmer, do you know how to adapt the patch? It looks like it is still needed in current trunk.
Comment 51 Joshua Cranmer [:jcranmer] 2014-04-23 07:12:56 PDT
(In reply to :aceman from comment #50)
> It seems nsMsgCompose::CheckAndPopulateRecipients is no longer existing
> after bug 970118.
> 
> Jcranmer, do you know how to adapt the patch? It looks like it is still
> needed in current trunk.

Modify ExpandMailingLists instead of CheckAndPopulateRecipients.
Comment 52 ereeder 2014-04-23 07:50:49 PDT
I am THRILLED if someone is actually working on this.  I too am still on TB 2 because of the lack of this feature.  (I know this isn't a meaningful comment, but I want you to know that this is vital to a number of us).
Comment 53 :aceman 2014-04-23 12:56:37 PDT
ereeder, how do you include a mailinglist inside a mailinglist?
Can you describe the steps so we can reproduce it correctly?
Comment 54 ereeder 2014-04-23 15:57:40 PDT
Here is a simple example, using TB 2. (Also note Comment 32, which warns of a potential problem that must be avoided).

Assume that you want to send out jokes to your friends.  The jokes have "naughtiness" ratings of G, PG, and R.  You want some friends to only receive "G" rated jokes.  Others will receive both "G" and "PG" rated jokes. The remainder will receive "G", "PG, and "R" rated jokes.

You will have the following six individual email addresses for your friends.  To make things simple I'll have their name indicate the "most naughty" joke they will receive:

"John G" johng@aol.com
"George G" georgeg@aol.com
"Tom PG" tompg@aol.com
"Fred PG" fredpg@aol.com
"Herman R" hermanr@aol.com
"William R" williamr@aol.com

You will have the three following mailing lists (jokesG, jokesPG, jokesR).

jokesG will contain the following addresses:
   "John G"
   "George G"

jokesPG will contain the following addresses:
   "jokesG"  (which is the "jokesG" mailing list)
   "Tom PG"
   "Fred PG"

jokesR will contain the following addresses
   "jokesPG"  (which is the "jokesPG mailing list)
   "Herman R"
   "William R"

So an email sent to "jokesG" will only be sent to "John G" and "George G"

An email sent to "jokesPG" will only be sent to the members of the jokesG list AND "Tom PG" and "Fred PG"

An email sent to "jokesR" will be sent to the the members of the "jokesPG" list (which includes the "jokesG" members), as well as "Herman R" and "William R".

Does this make sense?

Regarding Comment 32:  You would not want to allow "jokesPG" to reference "jokesR", as "jokesR" references "jokesPG".  At least you don't want the system to recursively go between the lists when trying to resolve the references at runtime.
Comment 55 :aceman 2014-04-24 00:11:35 PDT
Yes, I understand this, but it seems I can't create such an addressbook in current TB (it is probably impossible in the UI). Can you create this sample addressbook (a separate addressbook in TB) in TB 2 and attach the corresponding .mab file here?
Comment 56 ereeder 2014-04-24 18:21:16 PDT
Yes, Will try it tomorrow.  Hopefully it is as easy as creating a separate address book, which I didn't know you could do.

If I'm successful I'll also create an included "child" mailing list that references its parent.  So you can see if a recursive list is detected.
Comment 57 ereeder 2014-04-25 10:44:29 PDT
I made a .mab file that contains the addresses and lists as shown in Comment 54.  I also created  RecursiveG, RecursivePG, and RecursiveR lists that correspond to the lists in Comment 54, except that RecursiveG contains a reference to RecursiveR.  Not sure how to attach a file, so here is a link to it https://dl.dropboxusercontent.com/u/23689083/abook.mab
Comment 58 :aceman 2014-04-25 17:15:51 PDT
Have you created the AB in TB 2?
Current TB shows the jokesG inside jokesPG as a normal contact card, not mailinglist. It appears to me current TB updates the file and forces the sublists to not have the 'mailinglist' flag.

mconley, can you confirm that?
Comment 59 ereeder 2014-04-25 17:29:50 PDT
Yes, the address book I supplied was created in TB 2.  jokesG, jokesPG, and jokesR are all mailing lists and not normal contact cards.
Comment 60 :aceman 2014-04-26 07:09:07 PDT
Created attachment 8413190 [details]
screenshot of the addressbook

Yes, the jokesG, jokesPG, and jokesR are mailinglists and displayed so in the tree under Personal Address book. However, when I view jokesPG list, I see the member jokesG as a normal contact. See the screenshot.
Comment 61 ereeder 2014-04-26 07:51:52 PDT
Created attachment 8413196 [details]
Entire address book (nested mailing lists)

This is a screen shot of the entire address book
Comment 62 ereeder 2014-04-26 07:53:11 PDT
Created attachment 8413197 [details]
jokespg mailing list screenshot

Properties of the jokespg mailing list (TB 2)
Comment 63 ereeder 2014-04-26 07:54:54 PDT
Created attachment 8413198 [details]
jokesg mailing list

The jokesg mailing list (TB 2).  The only list that consists solely of individual email addresses.
Comment 64 :aceman 2014-04-26 12:38:09 PDT
None of the screenshots shows the properties (details) of the jokesg item that is inside jokespg mailinglist. But notice it has a single envelope icon, in contrast to the double envelope icon as e.g. RecursiveG has.
Comment 65 ereeder 2014-04-26 17:10:47 PDT
Created attachment 8413294 [details]
jokesg Properties

Screenshot showing the jokesg mailing list properties window
Comment 66 ereeder 2014-04-26 17:12:07 PDT
Created attachment 8413295 [details]
RecursiveG Properties

Screenshot showing the properties of the RecursiveG mailing list
Comment 67 ereeder 2014-04-26 17:27:12 PDT
The screenshots actually do show the properties, but I didn't provide the Properties window.  The two new screenshots have the property window.

I'm not sure which screenshot you are referring to regarding the single vs. double envelope icon.  If it is "Entire address book (nested mailing lists)", it looks like a mailing list has two entries, one with a single envelope icon and one with a double envelope icon.  The single icon has the name of the mailing list (e.g., jokesg) as the display name and the email address.  The double icon one contains the name of the list (List name) and the email addresses of the individuals in the list.  (I'll attach screen shot of the jokesg List (double envelope) entry
Comment 68 ereeder 2014-04-26 17:28:15 PDT
Created attachment 8413300 [details]
jokesg List Properties

The properties of a "double envelope" mailing list entry
Comment 69 John 2014-09-08 00:12:55 PDT
TB v31.1.0  Sending messages to a Mailing List produces "not a valid e-mail address" response.  Tried many suggestions, all failed.  Removed all spaces from the "List Name", with "List Nickname" and "Description" both blank.  Success in sending.
Messages were successfully send to "Mailing Lists" as late as last week.  I'm not sure when the update to v31.1.0 occurred.
I have a vague memory of this issue occurring somewhere in the distant past.
Comment 70 celarsen@gmail.com 2014-09-08 07:38:37 PDT
Apparently Mozilla already knows and has fixed this bug.  I downloaded and installed the beta version 32.0 and this issue has been resolved.
Comment 71 Valerio Messina 2014-09-08 07:59:25 PDT
John doesn't work on my TB31.1.0 on Win7 64bit. I got:
sublist1 <sublist1>,sublist2 <sublist2> is not a valid e-mail address because it is not of the form user@host
Comment 72 :aceman 2014-09-08 08:25:04 PDT
(In reply to John from comment #69)
> TB v31.1.0  Sending messages to a Mailing List produces "not a valid e-mail
> address" response.  Tried many suggestions, all failed.  Removed all spaces
> from the "List Name", with "List Nickname" and "Description" both blank. 
> Success in sending.
> Messages were successfully send to "Mailing Lists" as late as last week. 
> I'm not sure when the update to v31.1.0 occurred.
> I have a vague memory of this issue occurring somewhere in the distant past.

(In reply to Valerio Messina from comment #71)
> John doesn't work on my TB31.1.0 on Win7 64bit. I got:
> sublist1 <sublist1>,sublist2 <sublist2> is not a valid e-mail address
> because it is not of the form user@host

That is bug 1060901, not this one.
Comment 73 Mike Conley (:mconley) - (Away until June 29th) 2014-10-18 07:41:51 PDT
(In reply to :aceman from comment #58)
> Have you created the AB in TB 2?
> Current TB shows the jokesG inside jokesPG as a normal contact card, not
> mailinglist. It appears to me current TB updates the file and forces the
> sublists to not have the 'mailinglist' flag.
> 
> mconley, can you confirm that?

I'm not sure if it forces cards under a mailing list to not have a mailing list flag, or just _assumes_ that cards under a mailing list are not mailing lists. I would guess the latter. I just did a quick skim, and I didn't see any migration code anywhere that moves from one model to the other.
Comment 74 Andrew S. McCullough 2015-08-23 08:01:50 PDT
I just updated Thunderbird, and now an OLD problem has raised its ugly head! I just tried emailing to a list in my address book using the alias.  I got the error <list descriptor> is not a valid email address because it is not of the form user@host. You must correct it before sending the email.

I had this problem YEARS ago, and eventually you fixed it. Now with the most recent update, installed today, the BUG is back! Please help!
Comment 75 Andrew S. McCullough 2015-08-23 08:08:12 PDT
Of course I can use Address Book, click on the list, and then click on Write and Thunderbird will fill the addresses in appropriately. But what's the point of having a list with an alias if you can't use the alias?
Comment 76 Andrew S. McCullough 2015-08-23 08:10:54 PDT
Sorry - looks like I went to the wrong place to report a bug... where should I have reported this?

Note You need to log in before you can comment on or make changes to this bug.